Summary: OSS (Open Sound System) Proxy Daemon
Name: ossp
Version: 1.3.2
Release: %mkrel 16
License: GPLv2
Group: Sound/Utilities
Url: https://sourceforge.net/projects/osspd/
Source0: %{name}-%{version}.tar.gz
Patch0001: 0001-Add-a-very-simple-systemd-unit.patch
Patch0002: 0002-udev-Rename-udev-rules-and-add-uaccess-udev-acl-tags.patch
Patch0003: ossp-1.3.2-linking.patch
Patch0004: ossp-1.3.2-sfmt.patch

BuildRequires: pkgconfig(fuse)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(alsa)
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Recommends: pulseaudio

%description
OSS Proxy Daemon is Linux userland OSS sound device (/dev/[a]dsp
and /dev/mixer) implementation using CUSE. Currently it supports
forwarding OSS sound streams to PulseAudio and ALSA.


%prep
%setup -q
%autopatch -p1

sed -i 's,/usr/local,%{_prefix},' Makefile
sed -i 's,/etc/udev/rules.d,/%{_udevrulesdir},' Makefile

%build
%set_build_flags
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/modprobe.preload.d
echo "cuse" >%{buildroot}%{_sysconfdir}/modprobe.preload.d/%{name}.conf

%files
%doc README
%{_sbindir}/ossp*
%{_udevrulesdir}/70-osscuse.rules
%{_sysconfdir}/modprobe.preload.d/%{name}.conf
%{_unitdir}/osspd.service
%{_unitdir}/sound.target.wants/osspd.service


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.3.2-16.mga10
+ Revision: 2204979
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.3.2-15.mga9
+ Revision: 1810881
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.3.2-14.mga8
+ Revision: 1515741
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.3.2-13.mga7
+ Revision: 1300073
- Mageia 7 Mass Rebuild

* Sun Sep 03 2017 daviddavid <daviddavid> 1.3.2-12.mga7
+ Revision: 1151030
- use ours compile flags thus fixing empty debugsourcefiles.list

* Wed Mar 01 2017 ghibo <ghibo> 1.3.2-11.mga6
+ Revision: 1088249
- Rebuilt against pulseaudio 10

* Tue Feb 16 2016 umeabot <umeabot> 1.3.2-10.mga6
+ Revision: 961969
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 1.3.2-9.mga6
+ Revision: 895309
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-8.mga5
+ Revision: 744663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 683284
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2-6.mga4
+ Revision: 508819
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-5.mga3
+ Revision: 362242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.3.2-4.mga3
+ Revision: 334976
- fix RPM group
- add patch to fix linking
- adjust udev rules dir and systemd unit dir
- clean .spec a bit

* Sat Apr 28 2012 tmb <tmb> 1.3.2-3.mga2
+ Revision: 233832
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Jan 26 2012 colin <colin> 1.3.2-2.mga2
+ Revision: 201638
- Fix ACL permissions on created nodes.

* Sat Oct 08 2011 colin <colin> 1.3.2-1.mga2
+ Revision: 153066
- Fix BuildRequire's
- Fix rel
- imported package ossp

